<template>
	<view>
		<view v-if="!isInvest"></view>
		<view v-else>
			<view>
				<pageA ref="pageA" />
			</view>
			<view>
				<pageB ref="pageB" />
			</view>
			<view>
				<pageC ref="pageC" />
			</view>
			<view>
				<pageE ref="pageE" />
			</view>
			<view>
				<pageF ref="pageF" />
			</view>
		</view>
		<cc-myTabbar ref="myTabbar" :tabBarShow="1" @tabChange="tabChange"></cc-myTabbar>
	</view>
</template>

<script setup>
import { ref } from 'vue';
import { onLoad } from '@dcloudio/uni-app';
import { userHook } from '@/hooks/userInfo.js';

import pageA from '@/pages/index/components/user/home.vue';
import pageB from '@/pages/index/components/user/index.vue';
import pageC from '@/pages/index/components/user/sweep.vue';
import pageE from '@/pages/index/components/user/find.vue';
import pageF from '@/pages/index/components/user/mine.vue';

const { isInvest } = userHook();
let tabBarShow = ref(1);

onLoad(() => {
	console.log(12354);
	tabChange();
});

const tabChange = (e) => {
	console.log('-----------');
};
</script>

<style lang="scss"></style>
